/*
Description: The stylesheet with a main responsive style.
Author:      Cherry Team
Version:     1.0.0
*/
@media screen and (-webkit-min-device-pixel-ratio: 0) {
  input[type="date"],
  input[type="time"],
  input[type="datetime-local"],
  input[type="month"] {
    line-height: 34px;
  }

  input[type="date"].input-sm,
  input[type="time"].input-sm,
  input[type="datetime-local"].input-sm,
  input[type="month"].input-sm {
    line-height: 30px;
  }

  input[type="date"].input-lg,
  input[type="time"].input-lg,
  input[type="datetime-local"].input-lg,
  input[type="month"].input-lg {
    line-height: 46px;
  }
}
@media (min-width: 768px) {
  .form-inline .form-group {
    display: inline-block;
    margin-bottom: 0;
    vertical-align: middle;
  }
  .form-inline .form-control {
    display: inline-block;
    width: auto;
    vertical-align: middle;
  }
  .form-inline .form-control-static {
    display: inline-block;
  }
  .form-inline .input-group {
    display: inline-table;
    vertical-align: middle;
  }
  .form-inline .input-group .input-group-addon,
  .form-inline .input-group .input-group-btn,
  .form-inline .input-group .form-control {
    width: auto;
  }
  .form-inline .input-group > .form-control {
    width: 100%;
  }
  .form-inline .control-label {
    margin-bottom: 0;
    vertical-align: middle;
  }
  .form-inline .radio,
  .form-inline .checkbox {
    display: inline-block;
    margin-top: 0;
    margin-bottom: 0;
    vertical-align: middle;
  }
  .form-inline .radio label,
  .form-inline .checkbox label {
    padding-left: 0;
  }
  .form-inline .radio input[type="radio"],
  .form-inline .checkbox input[type="checkbox"] {
    position: relative;
    margin-left: 0;
  }
  .form-inline .has-feedback .form-control-feedback {
    top: 0;
  }
}

@media (min-width: 768px) {
  .form-horizontal .control-label {
    text-align: right;
    margin-bottom: 0;
    padding-top: 7px;
  }
}
@media (min-width: 768px) {
  .form-horizontal .form-group-lg .control-label {
    padding-top: 14.3px;
  }
}
@media (min-width: 768px) {
  .form-horizontal .form-group-sm .control-label {
    padding-top: 6px;
  }
}

@media (max-width: 768px) {
  ol.comment-list li.comment ol.children {
    padding-left: 15px;
  }
}

@media (max-width: 767px) {
  .table-responsive {
    width: 100%;
    overflow-y: hidden;
    overflow-x: scroll;
    -ms-overflow-style: -ms-autohiding-scrollbar;
    -webkit-overflow-scrolling: touch;
  }
  .table-responsive > .table {
    margin-bottom: 0;
  }
  .table-responsive > .table > thead > tr > th,
  .table-responsive > .table > thead > tr > td,
  .table-responsive > .table > tbody > tr > th,
  .table-responsive > .table > tbody > tr > td,
  .table-responsive > .table > tfoot > tr > th,
  .table-responsive > .table > tfoot > tr > td {
    white-space: nowrap;
  }
  .table-responsive > .table-bordered {
    border: 0;
  }
  .table-responsive > .table-bordered > thead > tr > th:first-child,
  .table-responsive > .table-bordered > thead > tr > td:first-child,
  .table-responsive > .table-bordered > tbody > tr > th:first-child,
  .table-responsive > .table-bordered > tbody > tr > td:first-child,
  .table-responsive > .table-bordered > tfoot > tr > th:first-child,
  .table-responsive > .table-bordered > tfoot > tr > td:first-child {
    border-left: 0;
  }
  .table-responsive > .table-bordered > thead > tr > th:last-child,
  .table-responsive > .table-bordered > thead > tr > td:last-child,
  .table-responsive > .table-bordered > tbody > tr > th:last-child,
  .table-responsive > .table-bordered > tbody > tr > td:last-child,
  .table-responsive > .table-bordered > tfoot > tr > th:last-child,
  .table-responsive > .table-bordered > tfoot > tr > td:last-child {
    border-right: 0;
  }
  .table-responsive > .table-bordered > tbody > tr:last-child > th,
  .table-responsive > .table-bordered > tbody > tr:last-child > td,
  .table-responsive > .table-bordered > tfoot > tr:last-child > th,
  .table-responsive > .table-bordered > tfoot > tr:last-child > td {
    border-bottom: 0;
  }
}

@media (min-width: 768px) {
  .dl-horizontal dt {
    float: left;
    width: 160px;
    clear: left;
    text-align: right;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  .dl-horizontal dd {
    margin-left: 180px;
  }
}

@-ms-viewport {
  width: device-width;
}
.visible-xs, .visible-sm, .visible-md, .visible-lg {
  display: none !important;
}

.visible-xs-block,
.visible-xs-inline,
.visible-xs-inline-block,
.visible-sm-block,
.visible-sm-inline,
.visible-sm-inline-block,
.visible-md-block,
.visible-md-inline,
.visible-md-inline-block,
.visible-lg-block,
.visible-lg-inline,
.visible-lg-inline-block {
  display: none !important;
}

@media (max-width: 767px) {
  .visible-xs {
    display: block !important;
  }

  table.visible-xs {
    display: table;
  }

  tr.visible-xs {
    display: table-row !important;
  }

  th.visible-xs,
  td.visible-xs {
    display: table-cell !important;
  }
}
@media (max-width: 767px) {
  .visible-xs-block {
    display: block !important;
  }
}

@media (max-width: 767px) {
  .visible-xs-inline {
    display: inline !important;
  }
}

@media (max-width: 767px) {
  .visible-xs-inline-block {
    display: inline-block !important;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .visible-sm {
    display: block !important;
  }

  table.visible-sm {
    display: table;
  }

  tr.visible-sm {
    display: table-row !important;
  }

  th.visible-sm,
  td.visible-sm {
    display: table-cell !important;
  }
}
@media (min-width: 768px) and (max-width: 991px) {
  .visible-sm-block {
    display: block !important;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .visible-sm-inline {
    display: inline !important;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .visible-sm-inline-block {
    display: inline-block !important;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .visible-md {
    display: block !important;
  }

  table.visible-md {
    display: table;
  }

  tr.visible-md {
    display: table-row !important;
  }

  th.visible-md,
  td.visible-md {
    display: table-cell !important;
  }
}
@media (min-width: 992px) and (max-width: 1199px) {
  .visible-md-block {
    display: block !important;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .visible-md-inline {
    display: inline !important;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .visible-md-inline-block {
    display: inline-block !important;
  }
}

@media (min-width: 1200px) {
  .visible-lg {
    display: block !important;
  }

  table.visible-lg {
    display: table;
  }

  tr.visible-lg {
    display: table-row !important;
  }

  th.visible-lg,
  td.visible-lg {
    display: table-cell !important;
  }
}
@media (min-width: 1200px) {
  .visible-lg-block {
    display: block !important;
  }
}

@media (min-width: 1200px) {
  .visible-lg-inline {
    display: inline !important;
  }
}

@media (min-width: 1200px) {
  .visible-lg-inline-block {
    display: inline-block !important;
  }
}

@media (max-width: 767px) {
  .hidden-xs {
    display: none !important;
  }
}
@media (min-width: 768px) and (max-width: 991px) {
  .hidden-sm {
    display: none !important;
  }
}
@media (min-width: 992px) and (max-width: 1199px) {
  .hidden-md {
    display: none !important;
  }
}
@media (min-width: 1200px) {
  .hidden-lg {
    display: none !important;
  }
}
.visible-print {
  display: none !important;
}

@media print {
  .visible-print {
    display: block !important;
  }

  table.visible-print {
    display: table;
  }

  tr.visible-print {
    display: table-row !important;
  }

  th.visible-print,
  td.visible-print {
    display: table-cell !important;
  }
}
.visible-print-block {
  display: none !important;
}
@media print {
  .visible-print-block {
    display: block !important;
  }
}

.visible-print-inline {
  display: none !important;
}
@media print {
  .visible-print-inline {
    display: inline !important;
  }
}

.visible-print-inline-block {
  display: none !important;
}
@media print {
  .visible-print-inline-block {
    display: inline-block !important;
  }
}

@media print {
  .hidden-print {
    display: none !important;
  }
}
@media (min-width: 768px) {
  .site-header.boxed,
  .site-content.boxed,
  .site-footer.boxed {
    max-width: 750px;
  }
}
@media (min-width: 992px) {
  .site-header.boxed,
  .site-content.boxed,
  .site-footer.boxed {
    max-width: 970px;
  }
}
@media (min-width: 1200px) {
  .site-header.boxed,
  .site-content.boxed,
  .site-footer.boxed {
    max-width: 1170px;
  }
}
@media (min-width: 768px) {
  .site-header.extra-boxed,
  .site-content.extra-boxed,
  .site-footer.extra-boxed {
    max-width: 780px;
  }
}
@media (min-width: 992px) {
  .site-header.extra-boxed,
  .site-content.extra-boxed,
  .site-footer.extra-boxed {
    max-width: 1000px;
  }
}
@media (min-width: 1200px) {
  .site-header.extra-boxed,
  .site-content.extra-boxed,
  .site-footer.extra-boxed {
    max-width: 1200px;
  }
}

.entry-content .container .container {
  width: auto;
}

@media (min-width: 992px) {
  .sidebar-sidebar-content-wrapper,
  .sidebar-content-sidebar-wrapper,
  .content-sidebar-sidebar-wrapper {
    width: 80%;
  }

  .sidebar-content-sidebar-wrapper,
  .sidebar-sidebar-content-wrapper {
    float: right;
  }

  .content-sidebar-sidebar-wrapper {
    float: left;
  }

  .sidebar-content-wrapper #primary,
  .content-sidebar-wrapper #primary,
  .sidebar-sidebar-content-wrapper #primary,
  .sidebar-content-sidebar-wrapper #primary,
  .content-sidebar-sidebar-wrapper #primary {
    width: 75%;
  }

  .sidebar-content-wrapper #primary,
  .sidebar-sidebar-content-wrapper #primary {
    float: right;
  }

  .content-sidebar-wrapper #primary,
  .content-sidebar-sidebar-wrapper #primary,
  .sidebar-content-sidebar-wrapper #primary {
    float: left;
  }

  .sidebar-content-wrapper .widget-area,
  .sidebar-sidebar-content-wrapper .widget-area {
    float: left;
    width: 23%;
  }

  .content-sidebar-wrapper .widget-area,
  .content-sidebar-sidebar-wrapper .widget-area,
  .sidebar-content-sidebar-wrapper .widget-area {
    float: right;
    width: 23%;
  }

  .sidebar-sidebar-content-wrapper + .widget-area,
  .sidebar-content-sidebar-wrapper + .widget-area {
    float: left;
    width: 18%;
  }

  .content-sidebar-sidebar-wrapper + .widget-area {
    float: right;
    width: 18%;
  }

  .cherry-with-sidebar .content-area .container {
    width: 80%;
  }
}
@media (max-width: 1199px) {
  #menu-primary > #menu-primary-items > .menu-item {
    margin-left: 56px;
  }

  .blog-home .cherry-posts-item .post-thumbnail img {
    margin-left: 0;
    width: 1170px;
  }

  .offset-lg-1 {
    margin-top: 30px;
  }

  .mc4wp-form input[type="email"], .mc4wp-form input[type="text"] {
    width: 55%;
    margin: 0 15px 10px 0;
  }

  .carousel-home {
    padding: 0;
  }

  .cherry-swiper-carousel-container {
    width: 100%;
    margin-left: 0;
  }

  .portfolio-wrap .portfolio-filter .filter li, .portfolio-wrap .portfolio-filter .order-filter li {
    margin: 0 0 26px 50px;
  }

  .portfolio-wrap.portfolio-skin-1--mod .portfolio-container .portfolio-list .portfolio-item.grid-layout-item .inner-wrap .media-content {
    width: 31%;
  }

  .portfolio-wrap .portfolio-container .portfolio-list .portfolio-item.list-layout-item .inner-wrap .media-content {
    width: 49%;
  }
}
@media (max-width: 991px) {
  #menu-primary > #menu-primary-items > .menu-item {
    margin-left: 26px;
  }

  .blog-home .cherry-posts-item .post-thumbnail img {
    margin-left: -50%;
  }

  .offset-md-1 {
    margin-top: 30px;
  }

  .mc4wp-form input[type="email"], .mc4wp-form input[type="text"] {
    width: 100%;
    margin: 0 0 10px 0;
  }

  .text-center-md {
    text-align: center;
  }

  .related-posts {
    text-align: center;
  }
  .related-posts .related-posts_list .related-posts_item {
    padding-bottom: 60px;
  }
  .related-posts .related-posts_list .related-posts_item:nth-child(2n+3) {
    clear: both;
  }
  .related-posts .related-posts_list .related-posts_item .entry-thumbnail {
    margin: 0 auto 25px;
  }

  .comments .comment-respond form p.form-submit {
    text-align: center;
  }

  .portfolio-wrap .portfolio-filter .filter.filter-category li {
    width: 50%;
    margin: 0 0 25px;
  }

  .error-404-num {
    font-size: 11em;
  }

  body.cherry-with-sidebar .content-area {
    margin-bottom: 50px;
  }

  .cherry-swiper-carousel-container .cherry-swiper-carousel figure {
    max-height: none;
  }

  .portfolio-wrap.portfolio-skin-1--mod .portfolio-container .portfolio-list .portfolio-item.grid-layout-item .inner-wrap .media-content {
    width: 49%;
  }

  .portfolio-wrap .portfolio-container .portfolio-list .portfolio-item.masonry-layout-item img {
    min-width: 0;
    min-height: 0;
  }

  .comments .form-submit {
    margin-right: 0;
  }

  .contact-info {
    margin-bottom: 35px;
  }

  .cherry-with-sidebar .comments-area #respond:before, .cherry-with-sidebar .comments-area .form-submit:before {
    width: 10000px;
    left: -2500px;
  }
}
@media (min-width: 480px) and (max-width: 767px) {
  .cherry-swiper-carousel-slide {
    width: 50% !important;
  }

  div.portfolio-wrap .portfolio-container.loading-animation-move-up .portfolio-list .portfolio-item.grid-layout-item .inner-wrap {
    max-width: 370px;
    margin-left: auto !important;
    margin-right: auto !important;
  }
}
@media (max-width: 767px) {
  .text-center-sm {
    text-align: center;
  }
  .text-center-sm .motopress-text-align-left {
    text-align: center;
  }

  #static-area-header-bottom .container {
    width: 100%;
  }

  .static-header-menu {
    padding: 0;
  }
  .static-header-menu #menu-primary.menu {
    position: static !important;
    padding: 0;
    border: none;
  }
  .static-header-menu #menu-primary.menu * {
    text-align: center;
  }
  .static-header-menu .isStick + .pseudoStickyBlock {
    height: 0 !important;
  }

  #static-area-footer-bottom {
    text-align: center;
  }

  .static-social-follow {
    margin-top: 30px;
    text-align: center;
  }

  #header, .textwidget {
    text-align: center;
  }

  .static-header-sidebar2, .static-header-sidebar3 {
    padding-top: 18px;
  }

  * + [class*='static-header'] {
    margin-top: 30px;
  }

  #menu-primary {
    padding: 30px 0;
  }

  .offset-sm-1 {
    margin-top: 30px;
  }

  .portfolio-skin-1 {
    max-width: 500px;
    display: block;
    margin-left: auto;
    margin-right: auto;
  }

  .portfolio-wrap .portfolio-filter .filter.filter-category li, .portfolio-wrap .portfolio-filter .filter.filter-tag li, .portfolio-wrap .portfolio-filter .filter li {
    width: 100%;
    margin: 0 0 25px;
  }
  .portfolio-wrap .portfolio-filter .order-filter {
    padding-left: 10px;
    padding-right: 10px;
  }
  .portfolio-wrap .portfolio-filter .order-filter li {
    margin: 0px 0px 26px 20px;
  }

  .portfolio-wrap .portfolio-container .portfolio-list {
    /* List layout */
  }
  .portfolio-wrap .portfolio-container .portfolio-list .portfolio-item.list-layout-item .inner-wrap .media-content, .portfolio-wrap .portfolio-container .portfolio-list .portfolio-item.list-layout-item .inner-wrap .item-content {
    width: auto;
    margin: 0;
  }

  body .cherry-breadcrumbs .page-title {
    font-size: 20px;
    line-height: 28px;
    margin-bottom: 10px;
  }
  body .cherry-breadcrumbs_item_link, body .cherry-breadcrumbs_item_target, body .cherry-breadcrumbs_browse, body .cherry-breadcrumbs_item_sep {
    font-size: 16px;
    line-height: 28px;
  }

  .hentry .entry-thumbnail {
    margin-bottom: 20px;
  }

  .team-listing .team-item {
    margin-bottom: 65px;
  }

  .testimonials-wrap .testimonials-list .testimonials-item blockquote {
    margin-bottom: 65px;
  }
  .testimonials-wrap .testimonials-list .testimonials-item blockquote h4 {
    margin-bottom: 25px;
  }

  .portfolio-wrap.portfolio-skin-1--mod .portfolio-container .portfolio-list .portfolio-item.grid-layout-item .inner-wrap .media-content {
    max-height: none;
    width: auto;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    max-width: 370px;
    display: block;
  }
  .portfolio-wrap.portfolio-skin-1--mod .portfolio-container .portfolio-list .portfolio-item.grid-layout-item .inner-wrap .item-content {
    width: 100%;
    padding: 30px 10px;
    text-align: center;
  }

  #menu-secondary .menu-items .menu-item {
    margin-left: 10px;
  }

  body.cherry-with-sidebar .portfolio-wrap .portfolio-filter .filter.filter-category li {
    width: 100%;
    margin: 0 0 25px;
  }

  .carousel-home .swiper-button-next {
    right: 30px;
  }
  .carousel-home .swiper-button-prev {
    left: 30px;
  }
}
@media (max-width: 479px) {
  body h1, body #reply-title {
    font-size: 56px;
    line-height: 60px;
  }
  body .cherry-breadcrumbs .page-title {
    font-size: 18px;
  }
  body .cherry-breadcrumbs_item_link, body .cherry-breadcrumbs_item_target, body .cherry-breadcrumbs_browse, body .cherry-breadcrumbs_item_sep {
    font-size: 15px;
    line-height: 24px;
  }
  body .cherry-breadcrumbs .cherry-breadcrumbs_content .cherry-breadcrumbs_wrap .cherry-breadcrumbs_item_sep {
    margin: 0 5px;
  }

  .title-box.title-big .title-box_title {
    font-size: 95px;
  }

  .cherry-btn.cherry-btn-extra-large, .comments .form-submit .submit {
    font-size: 20px;
    padding: 15px 45px;
  }

  .cherry-btn.cherry-btn-large, .portfolio-wrap .portfolio-container .portfolio-ajax-button .load-more-button a.cherry-btn-large, .wpcf7 form .submit-wrap input {
    padding: 15px 40px;
    margin-top: 15px;
  }

  .comments-area .comment-list .comment-body {
    padding: 35px 25px;
  }
  .comments-area .comment-list .comment-meta .comment-author .avatar {
    margin: 0 2em 2em 0;
  }
  .comments-area .comment-list .comment-meta .comment-author b {
    margin-right: 0;
  }
  .comments-area .comment-list .comment-meta * + .comment-metadata {
    margin-top: 0px;
  }

  .wpcf7 form .submit-wrap input:last-child {
    display: block;
    margin-left: auto;
    margin-right: auto;
  }
  .wpcf7 form .submit-wrap img.ajax-loader {
    margin-right: -21px;
  }

  .error-404-num {
    font-size: 9em;
  }

  .portfolio-wrap .portfolio-container .portfolio-list .portfolio-item.list-layout-item .inner-wrap .media-content img {
    min-width: 0;
    min-height: 0;
  }

  .entry-thumbnail.cherry-thumb-s + .entry-header {
    clear: both;
  }

  .archive .testimonials-wrap .testimonials-item {
    margin-top: 10px;
  }

  #menu-secondary .menu-items .menu-item {
    display: block;
    margin-left: 0;
    float: none;
    margin-top: 10px;
  }

  .portfolio-wrap .portfolio-filter .order-filter li {
    margin: 0 0 26px 0;
  }
}
@media (max-width: 380px) {
  .author-bio .alignleft {
    margin-right: 1em;
  }
  .author-bio a {
    display: block;
  }

  .team-wrap .team-meta .team-socials .team-socials_item .team-socials_link .team-socials_label {
    display: none;
  }
}
/* Megamenu responsive
================================================== */
@media (max-width: 991px) {
  #menu-primary > #menu-primary-items .cherry-mega-menu-sub.mega-sub > li {
    padding: 0 5px;
  }
}
@media (max-width: 767px) {
  #menu-primary #menu-primary-items .cherry-mega-menu-sub.mega-sub {
    padding: 30px;
    /* Post template "megamenu-posts" */
  }
  #menu-primary #menu-primary-items .cherry-mega-menu-sub.mega-sub > li {
    padding: 40px 0 0;
    margin: 40px 0 0;
    float: none;
    width: auto;
    border-top: 1px solid #000;
  }
  #menu-primary #menu-primary-items .cherry-mega-menu-sub.mega-sub > li:before {
    display: none;
  }
  #menu-primary #menu-primary-items .cherry-mega-menu-sub.mega-sub > li:first-child {
    margin-top: 0;
    padding-top: 0;
    border: none;
  }
  #menu-primary #menu-primary-items .cherry-mega-menu-sub.mega-sub .megamenu-post-wrap {
    margin-bottom: 30px;
  }
  #menu-primary #menu-primary-items .cherry-mega-menu-sub.mega-sub .megamenu-post-wrap .post-thumbnail {
    float: none;
    padding: 0 0 15px 0;
  }
}
